apiVersion: v1
kind: Secret
metadata:
  name: {{ include "brand-master.fullname" . }}-secrets
  labels:
    {{- include "brand-master.labels" . | nindent 4 }}
type: Opaque
stringData:
  postgres-user: {{ .Values.postgres.user | quote }}
  postgres-password: {{ .Values.postgres.password | quote }}
  postgres-database: {{ .Values.postgres.database | quote }}
  database-url: "postgresql://{{ .Values.postgres.user }}:{{ .Values.postgres.password }}@{{ include "brand-master.fullname" . }}-db:{{ .Values.postgres.port }}/{{ .Values.postgres.database }}"
  jwt-secret-key: {{ .Values.backend.jwtSecretKey | quote }}
  jwt-algorithm: {{ .Values.backend.jwtAlgorithm | quote }}
  jwt-expire-minutes: {{ .Values.backend.jwtExpireMinutes | quote }}
